changeset 256:65f996b30766

Documentation building script.
author Matti Hamalainen <ccr@tnsp.org>
date Sat, 11 Feb 2006 02:39:15 +0000
parents 1cd8c5caa457
children d8670ebddf35
files docs/build-docs.sh
diffstat 1 files changed, 29 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/build-docs.sh	Sat Feb 11 02:39:15 2006 +0000
@@ -0,0 +1,29 @@
+#!/bin/sh
+### Settings
+SRCFILE="manual.sgml"
+JW=`which jw`
+GS=`which gs`
+
+### Check that we have JW installed
+if test -n "$JW"  && test -x "$JW"; then
+echo "DocBook SGML tools and JW found(?) Generating documentation ..."
+else
+echo "ERROR! Jade Wrapper does not seem to be installed."
+echo "You must have DocBook SGML tools/schemas and JadeTex installed"
+echo "in order to generate the documentation."
+exit 1
+fi
+
+exec $JW -f docbook -b html -o html $SRCFILE
+
+exec $JW -f docbook -b ps $SRCFILE
+
+if test -n "$GS"  && test -x "$GS"; then
+exec $GS -dSAFER -dCompatibilityLevel=1.2 -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite \
+-sOutputFile=manual.pdf -dCompatibilityLevel=1.2 -c .setpdfwrite -f manual.ps
+else
+echo "WARNING! GhostScript does not seem to be installed."
+echo "PDF version of the manual will not be generated."
+fi
+
+exec $JW -f docbook -b txt $SRCFILE